Bug 1535579 - New ansible version requires python2-jmespath
Summary: New ansible version requires python2-jmespath
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-17 16:21 UTC by sthirugn@redhat.com
Modified: 2020-04-14 13:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:43 UTC

Description sthirugn@redhat.com 2018-01-17 16:21:08 UTC
Description of problem:
New ansible version requires python2-jmespath

Version-Release number of selected component (if applicable):
ansible-2.4.2.0-2.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install ansible from satellite-maintenance repository
2. # ansible --version
   ansible 2.4.0.0
3. Update ansible to version ansible-2.4.2.0-2.el7.noarch (I used the brew build https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=645649)

Actual results:
# yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repo id                                                                    repo name                                                                            status
rhel-7-server-rpms/7Server/x86_64                                          Red Hat Enterprise Linux 7 Server (RPMs)                                             17,900
rhel-7-server-satellite-maintenance-6-rpms/x86_64                          Red Hat Satellite Maintenance 6 (for RHEL 7 Server) (RPMs)                               13
repolist: 17,913

# yum localinstall ansible-2.4.2.0-2.el7.noarch.rpm 
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Examining ansible-2.4.2.0-2.el7.noarch.rpm: ansible-2.4.2.0-2.el7.noarch
Marking ansible-2.4.2.0-2.el7.noarch.rpm as an update to ansible-2.4.0.0-1.el7ae.noarch
Resolving Dependencies
--> Running transaction check
---> Package ansible.noarch 0:2.4.0.0-1.el7ae will be updated
---> Package ansible.noarch 0:2.4.2.0-2.el7 will be an update
--> Processing Dependency: python2-jmespath for package: ansible-2.4.2.0-2.el7.noarch
--> Finished Dependency Resolution
Error: Package: ansible-2.4.2.0-2.el7.noarch (/ansible-2.4.2.0-2.el7.noarch)
           Requires: python2-jmespath
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: ansible-2.4.2.0-2.el7.noarch (/ansible-2.4.2.0-2.el7.noarch)
           Requires: python2-jmespath
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
python2-jmespath should be available in the new build

Additional info:

Comment 2 sthirugn@redhat.com 2018-01-17 16:29:11 UTC
With the new builds, ansible upgrade worked:
ansible-2.4.3.0-0.1.rc1.el7ae.noarch.rpm
python2-jmespath-0.9.0-4.el7ae.noarch.rpm

brewbuilds:
python2-jmespath - https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=612028
ansible-2.4.3.0-0.1 - https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=645884

Comment 5 Lukas Pramuk 2020-01-30 10:22:12 UTC
VERIFIED.

ansible-2.4.2.0-2.el7.noarch
python2-jmespath-0.9.0-4.el7ae.noarch

by reproducer described in comment#0: 

# yum install ansible
...

# yum list ansible python2-jmespath 
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Installed Packages
ansible.noarch                                              2.4.2.0-2.el7                                      @maintain
python2-jmespath.noarch                                     0.9.0-4.el7ae                                      @maintain

>>> foreman maintain next (candidate) repo contains python2-jmespath

Comment 8 errata-xmlrpc 2020-04-14 13:22:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.